QGIS Application - Bug report #718
QGIS crashes when | try to query large contour polygon ShapeFiles
2007-05-23 08:18 AM - Redmine Admin

Status: Closed

Priority: Low

Assignee: nobody -

Category: Vectors

Affected QGIS version: Regression?: No
Operating System: Windows Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 10777

Description

QGIS doesn't handle this dataset very well. It seems to have difficulty classifying the polygons by the attribute MAXHEIGHT and as soon
as | try querying a polygon it crashes every time. | have tried doing this with other software (in case there might be a problem with the
data) and it works fine with the dataset. | am using QGIS 0.8 and 0.8.1 on a WIN XP SP2 system.

| will attempt to attach a ZIP file (of about 14Mb) to this ticket for you to use in duplicating this problem. | have several other datasets like
this one if you want to try those as well.
Bob Bruce

History

#1 - 2007-05-25 02:38 AM - Marco Hugentobler

| suppose that those shapefiles are 2.5D types (with a z-value for each vertex). Version 0.9 is supposed to handle those correctly. 0.8.1 is able to display
them, but identify and vertex editing does not work. We should probably display a warning for 0.8.1 in such cases and prevent a crash.

Marco

#2 - 2007-05-25 08:29 AM - Redmine Admin

Marco, you are right, these are 3D SHAPE files. | have uploaded the files that | was using to my webserver, you can access them at:

http://www.hwps.ca/porc_west_cont_Hypsography Polygons.zip this server is a bit slow, | tested the access from work and it took about 4 minutes to

download the file.
Bob

#3 - 2008-03-17 10:05 AM - leolami -

can you test it in 0.9.2 vers?

http://whatnick.dyndns.org:8080/tisham/qgis_setup0.9.2rc1_16_02_2008.exe
If all is right can you close it?

#4 - 2008-04-01 12:32 AM - leolami -
- Resolution set to fixed

- Status changed from Open to Closed

#5 - 2009-08-22 12:54 AM - Anonymous
Milestone Version 0.9.2 deleted
